Subject: bug#7273: 24.0.50; finally found what has been subtly corrupting my files over the years: C-. flyspell-auto-correct-word

From: Chong Yidong <[email-masked]>
Date: Sun, 24 Oct 2010 13:34:16 -0400

[email-masked] writes:

> Gentlemen, save the following into a new file (don't just use this
> buffer), then with the cursor at the top and flyspell-mode enabled,
> "accidentally" hit C-. (C-. runs the command flyspell-auto-correct-word.)
> ...
>
> 張冒昧/鶯歌4982444096,4444408859
> 民權路4444號0444432663Ching Ching Lin
> ---------
> Note how subtly, way down at the bottom of the file, a word (Ching) has
> been changed! I'm disabling C-. today. I've finally found what has been
> subtly corrupting my files over the years! M-tab is harder to hit by
> accident, so I'm leaving it.

Hmm, I can't reproduce this.  From the top of the file, C-. moves cursor
to "99" on the first line.  Is this dictionary specific?

> P.S., what is the best way to disable C-.? global-(un)set-key?

  (define-key flyspell-mode-map [(control ?\.)] nil)

should do the trick, once Flyspell is loaded.